﻿namespace iFileProxy.Attributes
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = true, Inherited = true)]
    public class CommandLineArgumentAttribute : Attribute
    {
        /// <summary>
        /// 长参数名 如: --dev-logger
        /// </summary>
        public string FullArgumentName { get; set; } = string.Empty;

        /// <summary>
        /// 短参数名 如: -d
        /// </summary>
        public string ShortArgumentName { get; set; } = new string(' ',4);  

        /// <summary>
        /// 参数帮助文本
        /// </summary>
        public string Description { get; set; } = string.Empty;

        /// <summary>
        /// 是否需要参数值
        /// </summary>
        public bool NeedValue { get; set; } = false;
    }
}
