﻿using iFileProxy.Attributes;
using iFileProxy.Interfaces;
using iFileProxy.Services;

namespace iFileProxy.Handlers.CommandLine
{
    [CommandLineArgument(FullArgumentName = "--init-db", ShortArgumentName = "-i", Description = "初始化数据库表结构")]
    public class InitDBHandler : ICommandLineHandler
    {
        string[] _cmdArgs = []; 
        public InitDBHandler(string[] args) { 
            _cmdArgs = args;
        }
        public void Process()
        {
            DatabaseGateService gateService = new(new AppConfigService());
            gateService.TryInitialDB();
            Environment.Exit(0);
        }
    }
}
