﻿namespace iFileProxy.Models.Other
{
    /// <summary>
    /// 数据库连接池信息
    /// </summary>
    public class ConnectionPoolInfo
    {
        /// <summary>
        /// 当前总连接数
        /// </summary>
        public long TotalConnections { get; set; }

        /// <summary>
        /// 活跃连接数
        /// </summary>
        public long ActiveConnections { get; set; }

        /// <summary>
        /// 空闲连接数
        /// </summary>
        public long SleepingConnections { get; set; }

        /// <summary>
        /// 连接池最大连接数
        /// </summary>
        public uint MaxPoolSize { get; set; }

        /// <summary>
        /// 连接详情列表
        /// </summary>
        public List<ProcessListInfo> Connections { get; set; } = [];
    }
}
