﻿using iFileProxy.Models.Other;

namespace iFileProxy.Models.Request
{
    /// <summary>
    /// 注册请求数据结构
    /// </summary>
    public class RegisterRequest
    {
        public string Username { get; set; } = string.Empty;
        public string Password { get; set; } = string.Empty;
        public string NickName { get; set; } = string.Empty;
        public string Email { get; set; } = string.Empty;
    }

    /// <summary>
    /// 登录请求数据结构
    /// </summary>
    public class LoginRequest
    {
        /// <summary>
        /// 用户名或邮箱
        /// </summary>
        public string Username { get; set; } = string.Empty;
        public string Account { get; set; } = string.Empty;
        public string Password { get; set; } = string.Empty;
    }

    public class UpdateUserMaskRequest
    {
        public UserMask NewMask { get; set; }
    }

    public class UpdateNicknameRequest
    {
        public string NewNickname { get; set; } = string.Empty;
    }

    public class UpdatePasswordRequest
    {
        public string OldPassword { get; set; } = string.Empty;
        public string NewPassword { get; set; } = string.Empty;
    }

    public class ResetPasswordRequest
    {
        public string NewPassword { get; set; } = string.Empty;
    }
}
