﻿namespace iFileProxy.Models.Task
{

    /// <summary>
    /// 任务添加状态
    /// </summary>
    public enum TaskAddState
    {
        /// <summary>
        /// 成功
        /// </summary>
        Success = 0,
        /// <summary>
        /// 失败
        /// </summary>
        Fail = 1,
        /// <summary>
        /// Url重复
        /// </summary>
        ErrUrlRepeat = 2,
        /// <summary>
        /// taskId重复
        /// </summary>
        ErrTaskIdRepeat = 3,
        /// <summary>
        /// Url无效
        /// </summary>
        ErrUrlInvalid = 4,
        /// <summary>
        /// 数据库过程失败
        /// </summary>
        ErrDbFail = 5,
        /// <summary>
        /// 并行任务达到设定最大值
        /// </summary>
        ErrMaxParallelTasksLimit = 6,
        /// <summary>
        /// 文件大小达到设定最大值
        /// </summary>
        ErrFileSizeLimit = 7,
        /// <summary>
        /// 指定的主机已经被管理员拉入黑名单
        /// </summary>
        ErrTargetHostForbidden = 8,
        /// <summary>
        /// 禁止的文件名
        /// </summary>
        ErrFileNameForbidden = 9,
        /// <summary>
        /// 来访者IP被管理员拉入黑名单
        /// </summary>
        ErrIPForbidden = 10,
        /// <summary>
        /// 获取下载信息时候出现错误
        /// </summary>
        ErrGetFileInfo = 11,
        /// <summary>
        /// 正在等待任务执行
        /// </summary>
        Pending = 12,
        /// <summary>
        /// 队列大小达到设定最大值
        /// </summary>
        ErrQueueLengthLimit = 13,
        /// <summary>
        /// 文件不允许0大小或者流式(动态大小)传输
        /// </summary>
        ErrDisabledStreamTransferOrZeroSize = 14,
        /// <summary>
        /// 触发关键词
        /// </summary>
        ErrKeywordForbidden = 15,
    }
}
