﻿namespace iFileProxy.Models.Task
{
    /// <summary>
    /// 任务状态
    /// </summary>
    public enum TaskState
    {
        /// <summary>
        /// 还未初始化
        /// </summary>
        NoInit = 0,
        /// <summary>
        /// 正在进行
        /// </summary>
        Running = 1,
        /// <summary>
        /// 任务执行时候发生错误 已经结束
        /// </summary>
        Error = 2,
        /// <summary>
        /// 任务正常结束
        /// </summary>
        End = 3,
        /// <summary>
        /// 要下载的内容已经缓存
        /// </summary>
        Cached = 4,
        /// <summary>
        /// 内容过期已被清理
        /// </summary>
        Cleaned = 5,
        /// <summary>
        /// 正在排队
        /// </summary>
        Queuing = 6,
        /// <summary>
        /// 任务因为各种原因被取消
        /// </summary>
        Canceled = 7,
        /// <summary>
        /// 流任务
        /// </summary>
        Stream = 8,
        /// <summary>
        /// 其他
        /// </summary>
        Other = 999
    }
}
